Subject: bug#76839: closed (Re: bug#76839: [Roi Martin] [PATCH] Fix 'Skip' behavior in erts files)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 May 2025 07:34:02 +0000

Your bug report

#76839: [PATCH] Fix 'Skip' behavior in erts files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76839: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76839: [Roi Martin] [PATCH] Fix 'Skip' behavior in erts files
From: Eli Zaretskii <[email-masked]>
To: Roi Martin <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 03 May 2025 10:32:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Roi Martin <[email-masked]>
> Date: Mon, 28 Apr 2025 07:13:06 +0200
> 
> Roi Martin <[email-masked]> writes:
> 
> > My CA paperwork is now completed.
> >
> > I attached a new version of the patch rebased against current master
> > (9f0c43a3d1b3 "; * etc/NEWS: Copyediting.").
> 
> Are any additional changes needed to install this patch?

Thanks, I've now installed this on the master branch, and I'm closing
this bug.

Subject: [Roi Martin] [PATCH] Fix 'Skip' behavior in erts files
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Fri, 7 Mar 2025 19:37:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Forwarding this so that we don't lose track of it.

-------------------- Start of forwarded message --------------------
From: Roi Martin <[email-masked]>
To: [email-masked]
Subject: [PATCH] Fix 'Skip' behavior in erts files
Date: Thu, 06 Mar 2025 21:06:24 +0100
From ea377a261af6edfd5ce12418a23872bf8dbcc0d6 Mon Sep 17 00:00:00 2001
From: Roi Martin <[email-masked]>
Date: Thu, 6 Mar 2025 20:26:46 +0100
Subject: [PATCH] Fix 'Skip' behavior in erts files

* lisp/emacs-lisp/ert.el (ert-test--erts-test): Fix 'Skip' behavior in
erts files, so only the test case where it is specified is skipped.

Copyright-paperwork-exempt: yes
---
 lisp/emacs-lisp/ert.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/ert.el b/lisp/emacs-lisp/ert.el
index c57bd0a69e2f..eedff982940f 100644
--- a/lisp/emacs-lisp/ert.el
+++ b/lisp/emacs-lisp/ert.el
@@ -2901,7 +2901,7 @@ ert-test--erts-test
     (if (and skip
              (eval (car (read-from-string skip))))
         ;; Skipping this test.
-        ()
+        (goto-char end-after)
       ;; Do the test.
       (goto-char end-after)
       ;; We have a separate after section.
-- 
2.48.1